#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSPageDescriptors = 1232,
  CSSPageRule = 1251,
  CSSPositionTryDescriptors = 1263,
  CSSPositionTryRule = 1289,
  CSSPropertyRule = 1308,
  CSSPseudoElement = 1324,
  CSSRule = 1341,
  CSSRuleList = 1349,
  CSSScopeRule = 1361,
  CSSStartingStyleRule = 1374,
  CSSStyleDeclaration = 1395,
  CSSStyleRule = 1415,
  CSSStyleSheet = 1428,
  CSSSupportsRule = 1442,
  CSSTransition = 1458,
  Cache = 1472,
  CacheStorage = 1478,
  CallbackDebuggerNotification = 1491,
  CanonicalBrowsingContext = 1520,
  CanvasCaptureMediaStream = 1545,
  CanvasGradient = 1570,
  CanvasPattern = 1585,
  CanvasRenderingContext2D = 1599,
  CaretPosition = 1624,
  CaretStateChangedEvent = 1638,
  ChannelMergerNode = 1661,
  ChannelSplitterNode = 1679,
  ChannelWrapper = 1699,
  CharacterData = 1714,
  CheckerboardReportService = 1728,
  ChildProcessMessageManager = 1754,
  ChildSHistory = 1781,
  ChromeMessageBroadcaster = 1795,
  ChromeMessageSender = 1820,
  ChromeNodeList = 1840,
  ChromeUtils = 1855,
  ChromeWorker = 1867,
  Client = 1880,
  Clients = 1887,
  Clipboard = 1895,
  ClipboardEvent = 1905,
  ClipboardItem = 1920,
  ClonedErrorHolder = 1934,
  CloseEvent = 1952,
  CommandEvent = 1963,
  Comment = 1976,
  CompositionEvent = 1984,
  CompressionStream = 2001,
  ConsoleInstance = 2019,
  ConstantSourceNode = 2035,
  ContentFrameMessageManager = 2054,
  ContentProcessMessageManager = 2081,
  ContentVisibilityAutoStateChangeEvent = 2110,
  ConvolverNode = 2148,
  CountQueuingStrategy = 2162,
  CreateOfferRequest = 2183,
  Credential = 2202,
  CredentialsContainer = 2213,
  Crypto = 2234,
  CryptoKey = 2241,
  CustomElementRegistry = 2251,
  CustomEvent = 2273,
  CustomStateSet = 2285,
  DOMException = 2300,
  DOMImplementation = 2313,
  DOMLocalization = 2331,
  DOMMatrix = 2347,
  DOMMatrixReadOnly = 2357,
  DOMParser = 2375,
  DOMPoint = 2385,
  DOMPointReadOnly = 2394,
  DOMQuad = 2411,
  DOMRect = 2419,
  DOMRectList = 2427,
  DOMRectReadOnly = 2439,
  DOMStringList = 2455,
  DOMStringMap = 2469,
  DOMTokenList = 2482,
  DataTransfer = 2495,
  DataTransferItem = 2508,
  DataTransferItemList = 2525,
  DebuggerNotification = 2546,
  DebuggerNotificationObserver = 2567,
  DecompressionStream = 2596,
  DedicatedWorkerGlobalScope = 2616,
  DelayNode = 2643,
  DeprecationReportBody = 2653,
  DeviceAcceleration = 2675,
  DeviceLightEvent = 2694,
  DeviceMotionEvent = 2711,
  DeviceOrientationEvent = 2729,
  DeviceRotationRate = 2752,
  Directory = 2771,
  Document = 2781,
  DocumentFragment = 2790,
  DocumentL10n = 2807,
  DocumentTimeline = 2820,
  DocumentType = 2837,
  DominatorTree = 2850,
  DragEvent = 2864,
  DynamicsCompressorNode = 2874,
  EXT_blend_minmax = 2897,
  EXT_color_buffer_float = 2914,
  EXT_color_buffer_half_float = 2937,
  EXT_depth_clamp = 2965,
  EXT_disjoint_timer_query = 2981,
  EXT_float_blend = 3006,
  EXT_frag_depth = 3022,
  EXT_sRGB = 3037,
  EXT_shader_texture_lod = 3046,
  EXT_texture_compression_bptc = 3069,
  EXT_texture_compression_rgtc = 3098,
  EXT_texture_filter_anisotropic = 3127,
  EXT_texture_norm16 = 3158,
  Element = 3177,
  ElementInternals = 3185,
  EncodedAudioChunk = 3202,
  EncodedVideoChunk = 3220,
  ErrorEvent = 3238,
  Event = 3249,
  EventCallbackDebuggerNotification = 3255,
  EventCounts = 3289,
  EventSource = 3301,
  EventTarget = 3313,
  Exception = 3325,
  ExtendableEvent = 3335,
  ExtendableMessageEvent = 3351,
  ExtensionAlarms = 3374,
  ExtensionBrowser = 3390,
  ExtensionBrowserSettings = 3407,
  ExtensionBrowserSettingsColorManagement = 3432,
  ExtensionDns = 3472,
  ExtensionEventManager = 3485,
  ExtensionMockAPI = 3507,
  ExtensionPort = 3524,
  ExtensionProxy = 3538,
  ExtensionRuntime = 3553,
  ExtensionScripting = 3570,
  ExtensionSetting = 3589,
  ExtensionTest = 3606,
  External = 3620,
  FeaturePolicy = 3629,
  FeaturePolicyViolationReportBody = 3643,
  FetchEvent = 3676,
  FetchObserver = 3687,
  File = 3701,
  FileList = 3706,
  FileReader = 3715,
  FileReaderSync = 3726,
  FileSystem = 3741,
  FileSystemDirectoryEntry = 3752,
  FileSystemDirectoryHandle = 3777,
  FileSystemDirectoryHandle_AsyncIterator = 3803,
  FileSystemDirectoryIterator = 3843,
  FileSystemDirectoryReader = 3871,
  FileSystemEntry = 3897,
  FileSystemFileEntry = 3913,
  FileSystemFileHandle = 3933,
  FileSystemHandle = 3954,
  FileSystemSyncAccessHandle = 3971,
  FileSystemWritableFileStream = 3998,
  Flex = 4027,
  FlexItemValues = 4032,
  FlexLineValues = 4047,
  FluentBundle = 4062,
  FluentBundleAsyncIterator = 4075,
  FluentBundleIterator = 4101,
  FluentPattern = 4122,
  FluentResource = 4136,
  FocusEvent = 4151,
  FontFace = 4162,
  FontFaceSet = 4171,
  FontFaceSetIterator = 4183,
  FontFaceSetLoadEvent = 4203,
  FormData = 4224,
  FormData_Iterator = 4233,
  FormDataEvent = 4251,
  FragmentDirective = 4265,
  FrameCrashedEvent = 4283,
  FrameLoader = 4301,
  GPU = 4313,
  GPUAdapter = 4317,
  GPUAdapterInfo = 4328,
  GPUBindGroup = 4343,
  GPUBindGroupLayout = 4356,
  GPUBuffer = 4375,
  GPUBufferUsage = 4385,
  GPUCanvasContext = 4400,
  GPUColorWrite = 4417,
  GPUCommandBuffer = 4431,
  GPUCommandEncoder = 4448,
  GPUCompilationInfo = 4466,
  GPUCompilationMessage = 4485,
  GPUComputePassEncoder = 4507,
  GPUComputePipeline = 4529,
  GPUDevice = 4548,
  GPUDeviceLostInfo = 4558,
  GPUError = 4576,
  GPUInternalError = 4585,
  GPUMapMode = 4602,
  GPUOutOfMemoryError = 4613,
  GPUPipelineLayout = 4633,
  GPUQuerySet = 4651,
  GPUQueue = 4663,
  GPURenderBundle = 4672,
  GPURenderBundleEncoder = 4688,
  GPURenderPassEncoder = 4711,
  GPURenderPipeline = 4732,
  GPUSampler = 4750,
  GPUShaderModule = 4761,
  GPUShaderStage = 4777,
  GPUSupportedFeatures = 4792,
  GPUSupportedLimits = 4813,
  GPUTexture = 4832,
  GPUTextureUsage = 4843,
  GPUTextureView = 4859,
  GPUUncapturedErrorEvent = 4874,
  GPUValidationError = 4898,
  GainNode = 4917,
  Gamepad = 4926,
  GamepadAxisMoveEvent = 4934,
  GamepadButton = 4955,
  GamepadButtonEvent = 4969,
  GamepadEvent = 4988,
  GamepadHapticActuator = 5001,
  GamepadLightIndicator = 5023,
  GamepadPose = 5045,
  GamepadServiceTest = 5057,
  GamepadTouch = 5076,
  Geolocation = 5089,
  GeolocationCoordinates = 5101,
  GeolocationPosition = 5124,
  GeolocationPositionError = 5144,
  GetUserMediaRequest = 5169,
  GleanBoolean = 5189,
  GleanCategory = 5202,
  GleanCounter = 5216,
  GleanCustomDistribution = 5229,
  GleanDatetime = 5253,
  GleanDenominator = 5267,
  GleanEvent = 5284,
  GleanImpl = 5295,
  GleanLabeled = 5305,
  GleanMemoryDistribution = 5318,
  GleanMetric = 5342,
  GleanNumerator = 5354,
  GleanObject = 5369,
  GleanPingsImpl = 5381,
  GleanQuantity = 5396,
  GleanRate = 5410,
  GleanString = 5420,
  GleanStringList = 5432,
  GleanText = 5448,
  GleanTimespan = 5458,
  GleanTimingDistribution = 5472,
  GleanUrl = 5496,
  GleanUuid = 5505,
  Grid = 5515,
  GridArea = 5520,
  GridDimension = 5529,
  GridLine = 5543,
  GridLines = 5552,
  GridTrack = 5562,
  GridTracks = 5572,
  HTMLAllCollection = 5583,
  HTMLAnchorElement = 5601,
  HTMLAreaElement = 5619,
  HTMLAudioElement = 5635,
  HTMLBRElement = 5652,
  HTMLBaseElement = 5666,
  HTMLBodyElement = 5682,
  HTMLButtonElement = 5698,
  HTMLCanvasElement = 5716,
  HTMLCollection = 5734,
  HTMLDListElement = 5749,
  HTMLDataElement = 5766,
  HTMLDataListElement = 5782,
  HTMLDetailsElement = 5802,
  HTMLDialogElement = 5821,
  HTMLDirectoryElement = 5839,
  HTMLDivElement = 5860,
  HTMLDocument = 5875,
  HTMLElement = 5888,
  HTMLEmbedElement = 5900,
  HTMLFieldSetElement = 5917,
  HTMLFontElement = 5937,
  HTMLFormControlsCollection = 5953,
  HTMLFormElement = 5980,
  HTMLFrameElement = 5996,
  HTMLFrameSetElement = 6013,
  HTMLHRElement = 6033,
  HTMLHeadElement = 6047,
  HTMLHeadingElement = 6063,
  HTMLHtmlElement = 6082,
  HTMLIFrameElement = 6098,
  HTMLImageElement = 6116,
  HTMLInputElement = 6133,
  HTMLLIElement = 6150,
  HTMLLabelElement = 6164,
  HTMLLegendElement = 6181,
  HTMLLinkElement = 6199,
  HTMLMapElement = 6215,
  HTMLMarqueeElement = 6230,
  HTMLMediaElement = 6249,
  HTMLMenuElement = 6266,
  HTMLMetaElement = 6282,
  HTMLMeterElement = 6298,
  HTMLModElement = 6315,
  HTMLOListElement = 6330,
  HTMLObjectElement = 6347,
  HTMLOptGroupElement = 6365,
  HTMLOptionElement = 6385,
  HTMLOptionsCollection = 6403,
  HTMLOutputElement = 6425,
  HTMLParagraphElement = 6443,
  HTMLParamElement = 6464,
  HTMLPictureElement = 6481,
  HTMLPreElement = 6500,
  HTMLProgressElement = 6515,
  HTMLQuoteElement = 6535,
  HTMLScriptElement = 6552,
  HTMLSelectElement = 6570,
  HTMLSlotElement = 6588,
  HTMLSourceElement = 6604,
  HTMLSpanElement = 6622,
  HTMLStyleElement = 6638,
  HTMLTableCaptionElement = 6655,
  HTMLTableCellElement = 6679,
  HTMLTableColElement = 6700,
  HTMLTableElement = 6720,
  HTMLTableRowElement = 6737,
  HTMLTableSectionElement = 6757,
  HTMLTemplateElement = 6781,
  HTMLTextAreaElement = 6801,
  HTMLTimeElement = 6821,
  HTMLTitleElement = 6837,
  HTMLTrackElement = 6854,
  HTMLUListElement = 6871,
  HTMLUnknownElement = 6888,
  HTMLVideoElement = 6907,
  HashChangeEvent = 6924,
  Headers = 6940,
  Headers_Iterator = 6948,
  HeapSnapshot = 6965,
  Highlight = 6978,
  HighlightRegistry = 6988,
  History = 7006,
  IDBCursor = 7014,
  IDBCursorWithValue = 7024,
  IDBDatabase = 7043,
  IDBFactory = 7055,
  IDBIndex = 7066,
  IDBKeyRange = 7075,
  IDBObjectStore = 7087,
  IDBOpenDBRequest = 7102,
  IDBRequest = 7119,
  IDBTransaction = 7130,
  IDBVersionChangeEvent = 7145,
  IIRFilterNode = 7167,
  IOUtils = 7181,
  IdentityCredential = 7189,
  IdleDeadline = 7208,
  Image = 7221,
  ImageBitmap = 7227,
  ImageBitmapRenderingContext = 7239,
  ImageCapture = 7267,
  ImageCaptureError = 7280,
  ImageCaptureErrorEvent = 7298,
  ImageData = 7321,
  ImageDecoder = 7331,
  ImageDocument = 7344,
  ImageTrack = 7358,
  ImageTrackList = 7369,
  InputEvent = 7384,
  InspectorCSSParser = 7395,
  InspectorFontFace = 7414,
  InspectorUtils = 7432,
  InstallTriggerImpl = 7447,
  IntersectionObserver = 7466,
  IntersectionObserverEntry = 7487,
  IntlUtils = 7513,
  InvokeEvent = 7523,
  JSProcessActorChild = 7535,
  JSProcessActorParent = 7555,
  JSWindowActorChild = 7576,
  JSWindowActorParent = 7595,
  KeyEvent = 7615,
  KeyboardEvent = 7624,
  KeyframeEffect = 7638,
  L10nFileSource = 7653,
  L10nOverlays = 7668,
  L10nRegistry = 7681,
  LargestContentfulPaint = 7694,
  LegacyMozTCPSocket = 7717,
  Localization = 7736,
  Location = 7749,
  Lock = 7758,
  LockManager = 7763,
  MIDIAccess = 7775,
  MIDIConnectionEvent = 7786,
  MIDIInput = 7806,
  MIDIInputMap = 7816,
  MIDIMessageEvent = 7829,
  MIDIOutput = 7846,
  MIDIOutputMap = 7857,
  MIDIPort = 7871,
  MOZ_debug = 7880,
  MatchGlob = 7890,
  MatchPattern = 7900,
  MatchPatternSet = 7913,
  MathMLElement = 7929,
  MediaCapabilities = 7943,
  MediaControlService = 7961,
  MediaController = 7981,
  MediaDeviceInfo = 7997,
  MediaDevices = 8013,
  MediaElementAudioSourceNode = 8026,
  MediaEncryptedEvent = 8054,
  MediaError = 8074,
  MediaKeyError = 8085,
  MediaKeyMessageEvent = 8099,
  MediaKeySession = 8120,
  MediaKeyStatusMap = 8136,
  MediaKeyStatusMap_Iterator = 8154,
  MediaKeySystemAccess = 8181,
  MediaKeys = 8202,
  MediaList = 8212,
  MediaMetadata = 8222,
  MediaQueryList = 8236,
  MediaQueryListEvent = 8251,
  MediaRecorder = 8271,
  MediaRecorderErrorEvent = 8285,
  MediaSession = 8309,
  MediaSource = 8322,
  MediaStream = 8334,
  MediaStreamAudioDestinationNode = 8346,
  MediaStreamAudioSourceNode = 8378,
  MediaStreamError = 8405,
  MediaStreamEvent = 8422,
  MediaStreamTrack = 8439,
  MediaStreamTrackAudioSourceNode = 8456,
  MediaStreamTrackEvent = 8488,
  MerchantValidationEvent = 8510,
  MessageBroadcaster = 8534,
  MessageChannel = 8553,
  MessageEvent = 8568,
  MessageListenerManager = 8581,
  MessagePort = 8604,
  MessageSender = 8616,
  MimeType = 8630,
  MimeTypeArray = 8639,
  MouseEvent = 8653,
  MouseScrollEvent = 8664,
  MozCanvasPrintState = 8681,
  MozDocumentMatcher = 8701,
  MozDocumentObserver = 8720,
  MozQueryInterface = 8740,
  MozSharedMap = 8758,
  MozSharedMap_Iterator = 8771,
  MozSharedMapChangeEvent = 8793,
  MozStorageAsyncStatementParams = 8817,
  MozStorageStatementParams = 8848,
  MozStorageStatementRow = 8874,
  MozWritableSharedMap = 8897,
  MutationEvent = 8918,
  MutationObserver = 8932,
  MutationRecord = 8949,
  NamedNodeMap = 8964,
  NavigateEvent = 8977,
  Navigation = 8991,
  NavigationActivation = 9002,
  NavigationCurrentEntryChangeEvent = 9023,
  NavigationDestination = 9057,
  NavigationHistoryEntry = 9079,
  NavigationPreloadManager = 9102,
  NavigationTransition = 9127,
  Navigator = 9148,
  NetworkInformation = 9158,
  Node = 9177,
  NodeFilter = 9182,
  NodeIterator = 9193,
  NodeList = 9206,
  Notification = 9215,
  NotificationEvent = 9228,
  NotifyPaintEvent = 9246,
  OES_draw_buffers_indexed = 9263,
  OES_element_index_uint = 9288,
  OES_fbo_render_mipmap = 9311,
  OES_standard_derivatives = 9333,
  OES_texture_float = 9358,
  OES_texture_float_linear = 9376,
  OES_texture_half_float = 9401,
  OES_texture_half_float_linear = 9424,
  OES_vertex_array_object = 9454,
  OVR_multiview2 = 9478,
  OfflineAudioCompletionEvent = 9493,
  OfflineAudioContext = 9521,
  OffscreenCanvas = 9541,
  OffscreenCanvasRenderingContext2D = 9557,
  Option = 9591,
  OscillatorNode = 9598,
  PageTransitionEvent = 9613,
  PaintRequest = 9633,
  PaintRequestList = 9646,
  PaintWorkletGlobalScope = 9663,
  PannerNode = 9687,
  ParentProcessMessageManager = 9698,
  Path2D = 9726,
  PathUtils = 9733,
  PaymentAddress = 9743,
  PaymentMethodChangeEvent = 9758,
  PaymentRequest = 9783,
  PaymentRequestUpdateEvent = 9798,
  PaymentResponse = 9824,
  Performance = 9840,
  PerformanceEntry = 9852,
  PerformanceEntryEvent = 9869,
  PerformanceEventTiming = 9891,
  PerformanceMark = 9914,
  PerformanceMeasure = 9930,
  PerformanceNavigation = 9949,
  PerformanceNavigationTiming = 9971,
  PerformanceObserver = 9999,
  PerformanceObserverEntryList = 10019,
  PerformancePaintTiming = 10048,
  PerformanceResourceTiming = 10071,
  PerformanceServerTiming = 10097,
  PerformanceTiming = 10121,
  PeriodicWave = 10139,
  PermissionStatus = 10152,
  Permissions = 10169,
  PlacesBookmark = 10181,
  PlacesBookmarkAddition = 10196,
  PlacesBookmarkChanged = 10219,
  PlacesBookmarkGuid = 10241,
  PlacesBookmarkKeyword = 10260,
  PlacesBookmarkMoved = 10282,
  PlacesBookmarkRemoved = 10302,
  PlacesBookmarkTags = 10324,
  PlacesBookmarkTime = 10343,
  PlacesBookmarkTitle = 10362,
  PlacesBookmarkUrl = 10382,
  PlacesEvent = 10400,
  PlacesEventCounts = 10412,
  PlacesFavicon = 10430,
  PlacesHistoryCleared = 10444,
  PlacesObservers = 10465,
  PlacesPurgeCaches = 10481,
  PlacesRanking = 10499,
  PlacesVisit = 10513,
  PlacesVisitRemoved = 10525,
  PlacesVisitTitle = 10544,
  PlacesWeakCallbackWrapper = 10561,
  Plugin = 10587,
  PluginArray = 10594,
  PluginCrashedEvent = 10606,
  PointerEvent = 10625,
  PopStateEvent = 10638,
  PopupBlockedEvent = 10652,
  PopupPositionedEvent = 10670,
  PositionStateEvent = 10691,
  PrecompiledScript = 10710,
  PrivateAttribution = 10728,
  ProcessMessageManager = 10747,
  ProcessingInstruction = 10769,
  ProgressEvent = 10791,
  PromiseDebugging = 10805,
  PromiseNativeHandler = 10822,
  PromiseRejectionEvent = 10843,
  PublicKeyCredential = 10865,
  PushEvent = 10885,
  PushManager = 10895,
  PushManagerImpl = 10907,
  PushMessageData = 10923,
  PushSubscription = 10939,
  PushSubscriptionOptions = 10956,
  RadioNodeList = 10980,
  Range = 10994,
  ReadableByteStreamController = 11000,
  ReadableStream = 11029,
  ReadableStream_AsyncIterator = 11044,
  ReadableStreamBYOBReader = 11073,
  ReadableStreamBYOBRequest = 11098,
  ReadableStreamDefaultController = 11124,
  ReadableStreamDefaultReader = 11156,
  Report = 11184,
  ReportBody = 11191,
  ReportingObserver = 11202,
  Request = 11220,
  ResizeObserver = 11228,
  ResizeObserverEntry = 11243,
  ResizeObserverSize = 11263,
  Response = 11282,
  SVGAElement = 11291,
  SVGAngle = 11303,
  SVGAnimateElement = 11312,
  SVGAnimateMotionElement = 11330,
  SVGAnimateTransformElement = 11354,
  SVGAnimatedAngle = 11381,
  SVGAnimatedBoolean = 11398,
  SVGAnimatedEnumeration = 11417,
  SVGAnimatedInteger = 11440,
  SVGAnimatedLength = 11459,
  SVGAnimatedLengthList = 11477,
  SVGAnimatedNumber = 11499,
  SVGAnimatedNumberList = 11517,
  SVGAnimatedPreserveAspectRatio = 11539,
  SVGAnimatedRect = 11570,
  SVGAnimatedString = 11586,
  SVGAnimatedTransformList = 11604,
  SVGAnimationElement = 11629,
  SVGCircleElement = 11649,
  SVGClipPathElement = 11666,
  SVGComponentTransferFunctionElement = 11685,
  SVGDefsElement = 11721,
  SVGDescElement = 11736,
  SVGElement = 11751,
  SVGEllipseElement = 11762,
  SVGFEBlendElement = 11780,
  SVGFEColorMatrixElement = 11798,
  SVGFEComponentTransferElement = 11822,
  SVGFECompositeElement = 11852,
  SVGFEConvolveMatrixElement = 11874,
  SVGFEDiffuseLightingElement = 11901,
  SVGFEDisplacementMapElement = 11929,
  SVGFEDistantLightElement = 11957,
  SVGFEDropShadowElement = 11982,
  SVGFEFloodElement = 12005,
  SVGFEFuncAElement = 12023,
  SVGFEFuncBElement = 12041,
  SVGFEFuncGElement = 12059,
  SVGFEFuncRElement = 12077,
  SVGFEGaussianBlurElement = 12095,
  SVGFEImageElement = 12120,
  SVGFEMergeElement = 12138,
  SVGFEMergeNodeElement = 12156,
  SVGFEMorphologyElement = 12178,
  SVGFEOffsetElement = 12201,
  SVGFEPointLightElement = 12220,
  SVGFESpecularLightingElement = 12243,
  SVGFESpotLightElement = 12272,
  SVGFETileElement = 12294,
  SVGFETurbulenceElement = 12311,
  SVGFilterElement = 12334,
  SVGForeignObjectElement = 12351,
  SVGGElement = 12375,
  SVGGeometryElement = 12387,
  SVGGradientElement = 12406,
  SVGGraphicsElement = 12425,
  SVGImageElement = 12444,
  SVGLength = 12460,
  SVGLengthList = 12470,
  SVGLineElement = 12484,
  SVGLinearGradientElement = 12499,
  SVGMPathElement = 12524,
  SVGMarkerElement = 12540,
  SVGMaskElement = 12557,
  SVGMatrix = 12572,
  SVGMetadataElement = 12582,
  SVGNumber = 12601,
  SVGNumberList = 12611,
  SVGPathElement = 12625,
  SVGPatternElement = 12640,
  SVGPoint = 12658,
  SVGPointList = 12667,
  SVGPolygonElement = 12680,
  SVGPolylineElement = 12698,
  SVGPreserveAspectRatio = 12717,
  SVGRadialGradientElement = 12740,
  SVGRect = 12765,
  SVGRectElement = 12773,
  SVGSVGElement = 12788,
  SVGScriptElement = 12802,
  SVGSetElement = 12819,
  SVGStopElement = 12833,
  SVGStringList = 12848,
  SVGStyleElement = 12862,
  SVGSwitchElement = 12878,
  SVGSymbolElement = 12895,
  SVGTSpanElement = 12912,
  SVGTextContentElement = 12928,
  SVGTextElement = 12950,
  SVGTextPathElement = 12965,
  SVGTextPositioningElement = 12984,
  SVGTitleElement = 13010,
  SVGTransform = 13026,
  SVGTransformList = 13039,
  SVGUnitTypes = 13056,
  SVGUseElement = 13069,
  SVGViewElement = 13083,
  Sanitizer = 13098,
  Scheduler = 13108,
  Screen = 13118,
  ScreenLuminance = 13125,
  ScreenOrientation = 13141,
  ScriptProcessorNode = 13159,
  ScrollAreaEvent = 13179,
  ScrollViewChangeEvent = 13195,
  SecurityPolicyViolationEvent = 13217,
  Selection = 13246,
  ServiceWorker = 13256,
  ServiceWorkerContainer = 13270,
  ServiceWorkerGlobalScope = 13293,
  ServiceWorkerRegistration = 13318,
  SessionStoreFormData = 13344,
  SessionStoreScrollData = 13365,
  SessionStoreUtils = 13388,
  ShadowRealmGlobalScope = 13406,
  ShadowRoot = 13429,
  SharedWorker = 13440,
  SharedWorkerGlobalScope = 13453,
  SimpleGestureEvent = 13477,
  SourceBuffer = 13496,
  SourceBufferList = 13509,
  SpeechGrammar = 13526,
  SpeechGrammarList = 13540,
  SpeechRecognition = 13558,
  SpeechRecognitionAlternative = 13576,
  SpeechRecognitionError = 13605,
  SpeechRecognitionEvent = 13628,
  SpeechRecognitionResult = 13651,
  SpeechRecognitionResultList = 13675,
  SpeechSynthesis = 13703,
  SpeechSynthesisErrorEvent = 13719,
  SpeechSynthesisEvent = 13745,
  SpeechSynthesisUtterance = 13766,
  SpeechSynthesisVoice = 13791,
  StaticRange = 13812,
  StereoPannerNode = 13824,
  Storage = 13841,
  StorageEvent = 13849,
  StorageManager = 13862,
  StreamFilter = 13877,
  StreamFilterDataEvent = 13890,
  StructuredCloneHolder = 13912,
  StructuredCloneTester = 13934,
  StyleSheet = 13956,
  StyleSheetApplicableStateChangeEvent = 13967,
  StyleSheetList = 14004,
  StyleSheetRemovedEvent = 14019,
  SubmitEvent = 14042,
  SubtleCrypto = 14054,
  SyncMessageSender = 14067,
  SyncReadFile = 14085,
  TCPServerSocket = 14098,
  TCPServerSocketEvent = 14114,
  TCPSocket = 14135,
  TCPSocketErrorEvent = 14145,
  TCPSocketEvent = 14165,
  TaskController = 14180,
  TaskPriorityChangeEvent = 14195,
  TaskSignal = 14219,
  TelemetryStopwatch = 14230,
  TestUtils = 14249,
  TestingDeprecatedInterface = 14259,
  Text = 14286,
  TextClause = 14291,
  TextDecoder = 14302,
  TextDecoderStream = 14314,
  TextEncoder = 14332,
  TextEncoderStream = 14344,
  TextEvent = 14362,
  TextMetrics = 14372,
  TextTrack = 14384,
  TextTrackCue = 14394,
  TextTrackCueList = 14407,
  TextTrackList = 14424,
  TimeEvent = 14438,
  TimeRanges = 14448,
  ToggleEvent = 14459,
  Touch = 14471,
  TouchEvent = 14477,
  TouchList = 14488,
  TrackEvent = 14498,
  TransformStream = 14509,
  TransformStreamDefaultController = 14525,
  TransitionEvent = 14558,
  TreeColumn = 14574,
  TreeColumns = 14585,
  TreeContentView = 14597,
  TreeWalker = 14613,
  TrustedHTML = 14624,
  TrustedScript = 14636,
  TrustedScriptURL = 14650,
  TrustedTypePolicy = 14667,
  TrustedTypePolicyFactory = 14685,
  UDPMessageEvent = 14710,
  UDPSocket = 14726,
  UIEvent = 14736,
  URL = 14744,
  URLSearchParams = 14748,
  URLSearchParams_Iterator = 14764,
  UniFFIPointer = 14789,
  UniFFIScaffolding = 14803,
  UserActivation = 14821,
  UserInteraction = 14836,
  UserProximityEvent = 14852,
  VRDisplay = 14871,
  VRDisplayCapabilities = 14881,
  VRDisplayEvent = 14903,
  VREyeParameters = 14918,
  VRFieldOfView = 14934,
  VRFrameData = 14948,
  VRMockController = 14960,
  VRMockDisplay = 14977,
  VRPose = 14991,
  VRServiceTest = 14998,
  VRStageParameters = 15012,
  VTTCue = 15030,
  VTTRegion = 15037,
  ValidityState = 15047,
  VideoColorSpace = 15061,
  VideoDecoder = 15077,
  VideoEncoder = 15090,
  VideoFrame = 15103,
  VideoPlaybackQuality = 15114,
  VideoTrack = 15135,
  VideoTrackList = 15146,
  ViewTransition = 15161,
  VisualViewport = 15176,
  WEBGL_color_buffer_float = 15191,
  WEBGL_compressed_texture_astc = 15216,
  WEBGL_compressed_texture_etc = 15246,
  WEBGL_compressed_texture_etc1 = 15275,
  WEBGL_compressed_texture_pvrtc = 15305,
  WEBGL_compressed_texture_s3tc = 15336,
  WEBGL_compressed_texture_s3tc_srgb = 15366,
  WEBGL_debug_renderer_info = 15401,
  WEBGL_debug_shaders = 15427,
  WEBGL_depth_texture = 15447,
  WEBGL_draw_buffers = 15467,
  WEBGL_explicit_present = 15486,
  WEBGL_lose_context = 15509,
  WEBGL_provoking_vertex = 15528,
  WakeLock = 15551,
  WakeLockSentinel = 15560,
  WaveShaperNode = 15577,
  WebExtensionContentScript = 15592,
  WebExtensionPolicy = 15618,
  WebGL2RenderingContext = 15637,
  WebGLActiveInfo = 15660,
  WebGLBuffer = 15676,
  WebGLContextEvent = 15688,
  WebGLFramebuffer = 15706,
  WebGLProgram = 15723,
  WebGLQuery = 15736,
  WebGLRenderbuffer = 15747,
  WebGLRenderingContext = 15765,
  WebGLSampler = 15787,
  WebGLShader = 15800,
  WebGLShaderPrecisionFormat = 15812,
  WebGLSync = 15839,
  WebGLTexture = 15849,
  WebGLTransformFeedback = 15862,
  WebGLUniformLocation = 15885,
  WebGLVertexArrayObject = 15906,
  WebKitCSSMatrix = 15929,
  WebSocket = 15945,
  WebTransport = 15955,
  WebTransportBidirectionalStream = 15968,
  WebTransportDatagramDuplexStream = 16000,
  WebTransportError = 16033,
  WebTransportReceiveStream = 16051,
  WebTransportSendStream = 16077,
  WheelEvent = 16100,
  Window = 16111,
  WindowClient = 16118,
  WindowContext = 16131,
  WindowGlobalChild = 16145,
  WindowGlobalParent = 16163,
  WindowRoot = 16182,
  Worker = 16193,
  WorkerDebuggerGlobalScope = 16200,
  WorkerGlobalScope = 16226,
  WorkerLocation = 16244,
  WorkerNavigator = 16259,
  WorkerTestUtils = 16275,
  Worklet = 16291,
  WorkletGlobalScope = 16299,
  WritableStream = 16318,
  WritableStreamDefaultController = 16333,
  WritableStreamDefaultWriter = 16365,
  XMLDocument = 16393,
  XMLHttpRequest = 16405,
  XMLHttpRequestEventTarget = 16420,
  XMLHttpRequestUpload = 16446,
  XMLSerializer = 16467,
  XPathEvaluator = 16481,
  XPathExpression = 16496,
  XPathResult = 16512,
  XRBoundedReferenceSpace = 16524,
  XRFrame = 16548,
  XRInputSource = 16556,
  XRInputSourceArray = 16570,
  XRInputSourceEvent = 16589,
  XRInputSourcesChangeEvent = 16608,
  XRPose = 16634,
  XRReferenceSpace = 16641,
  XRReferenceSpaceEvent = 16658,
  XRRenderState = 16680,
  XRRigidTransform = 16694,
  XRSession = 16711,
  XRSessionEvent = 16721,
  XRSpace = 16736,
  XRSystem = 16744,
  XRView = 16753,
  XRViewerPose = 16760,
  XRViewport = 16773,
  XRWebGLLayer = 16784,
  XSLTProcessor = 16797,
  XULCommandEvent = 16811,
  XULElement = 16827,
  XULFrameElement = 16838,
  XULMenuElement = 16854,
  XULPopupElement = 16869,
  XULResizerElement = 16885,
  XULTextElement = 16903,
  XULTreeElement = 16918,
  console = 16933,
  webkitSpeechGrammar = 16941,
  webkitSpeechGrammarList = 16961,
  webkitSpeechRecognition = 16985,
  webkitURL = 17009,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
