#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSPageDescriptors" "\0"
  /*  1251 */ "CSSPageRule" "\0"
  /*  1263 */ "CSSPositionTryDescriptors" "\0"
  /*  1289 */ "CSSPositionTryRule" "\0"
  /*  1308 */ "CSSPropertyRule" "\0"
  /*  1324 */ "CSSPseudoElement" "\0"
  /*  1341 */ "CSSRule" "\0"
  /*  1349 */ "CSSRuleList" "\0"
  /*  1361 */ "CSSScopeRule" "\0"
  /*  1374 */ "CSSStartingStyleRule" "\0"
  /*  1395 */ "CSSStyleDeclaration" "\0"
  /*  1415 */ "CSSStyleRule" "\0"
  /*  1428 */ "CSSStyleSheet" "\0"
  /*  1442 */ "CSSSupportsRule" "\0"
  /*  1458 */ "CSSTransition" "\0"
  /*  1472 */ "Cache" "\0"
  /*  1478 */ "CacheStorage" "\0"
  /*  1491 */ "CallbackDebuggerNotification" "\0"
  /*  1520 */ "CanonicalBrowsingContext" "\0"
  /*  1545 */ "CanvasCaptureMediaStream" "\0"
  /*  1570 */ "CanvasGradient" "\0"
  /*  1585 */ "CanvasPattern" "\0"
  /*  1599 */ "CanvasRenderingContext2D" "\0"
  /*  1624 */ "CaretPosition" "\0"
  /*  1638 */ "CaretStateChangedEvent" "\0"
  /*  1661 */ "ChannelMergerNode" "\0"
  /*  1679 */ "ChannelSplitterNode" "\0"
  /*  1699 */ "ChannelWrapper" "\0"
  /*  1714 */ "CharacterData" "\0"
  /*  1728 */ "CheckerboardReportService" "\0"
  /*  1754 */ "ChildProcessMessageManager" "\0"
  /*  1781 */ "ChildSHistory" "\0"
  /*  1795 */ "ChromeMessageBroadcaster" "\0"
  /*  1820 */ "ChromeMessageSender" "\0"
  /*  1840 */ "ChromeNodeList" "\0"
  /*  1855 */ "ChromeUtils" "\0"
  /*  1867 */ "ChromeWorker" "\0"
  /*  1880 */ "Client" "\0"
  /*  1887 */ "Clients" "\0"
  /*  1895 */ "Clipboard" "\0"
  /*  1905 */ "ClipboardEvent" "\0"
  /*  1920 */ "ClipboardItem" "\0"
  /*  1934 */ "ClonedErrorHolder" "\0"
  /*  1952 */ "CloseEvent" "\0"
  /*  1963 */ "CommandEvent" "\0"
  /*  1976 */ "Comment" "\0"
  /*  1984 */ "CompositionEvent" "\0"
  /*  2001 */ "CompressionStream" "\0"
  /*  2019 */ "ConsoleInstance" "\0"
  /*  2035 */ "ConstantSourceNode" "\0"
  /*  2054 */ "ContentFrameMessageManager" "\0"
  /*  2081 */ "ContentProcessMessageManager" "\0"
  /*  2110 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2148 */ "ConvolverNode" "\0"
  /*  2162 */ "CountQueuingStrategy" "\0"
  /*  2183 */ "CreateOfferRequest" "\0"
  /*  2202 */ "Credential" "\0"
  /*  2213 */ "CredentialsContainer" "\0"
  /*  2234 */ "Crypto" "\0"
  /*  2241 */ "CryptoKey" "\0"
  /*  2251 */ "CustomElementRegistry" "\0"
  /*  2273 */ "CustomEvent" "\0"
  /*  2285 */ "CustomStateSet" "\0"
  /*  2300 */ "DOMException" "\0"
  /*  2313 */ "DOMImplementation" "\0"
  /*  2331 */ "DOMLocalization" "\0"
  /*  2347 */ "DOMMatrix" "\0"
  /*  2357 */ "DOMMatrixReadOnly" "\0"
  /*  2375 */ "DOMParser" "\0"
  /*  2385 */ "DOMPoint" "\0"
  /*  2394 */ "DOMPointReadOnly" "\0"
  /*  2411 */ "DOMQuad" "\0"
  /*  2419 */ "DOMRect" "\0"
  /*  2427 */ "DOMRectList" "\0"
  /*  2439 */ "DOMRectReadOnly" "\0"
  /*  2455 */ "DOMStringList" "\0"
  /*  2469 */ "DOMStringMap" "\0"
  /*  2482 */ "DOMTokenList" "\0"
  /*  2495 */ "DataTransfer" "\0"
  /*  2508 */ "DataTransferItem" "\0"
  /*  2525 */ "DataTransferItemList" "\0"
  /*  2546 */ "DebuggerNotification" "\0"
  /*  2567 */ "DebuggerNotificationObserver" "\0"
  /*  2596 */ "DecompressionStream" "\0"
  /*  2616 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2643 */ "DelayNode" "\0"
  /*  2653 */ "DeprecationReportBody" "\0"
  /*  2675 */ "DeviceAcceleration" "\0"
  /*  2694 */ "DeviceLightEvent" "\0"
  /*  2711 */ "DeviceMotionEvent" "\0"
  /*  2729 */ "DeviceOrientationEvent" "\0"
  /*  2752 */ "DeviceRotationRate" "\0"
  /*  2771 */ "Directory" "\0"
  /*  2781 */ "Document" "\0"
  /*  2790 */ "DocumentFragment" "\0"
  /*  2807 */ "DocumentL10n" "\0"
  /*  2820 */ "DocumentTimeline" "\0"
  /*  2837 */ "DocumentType" "\0"
  /*  2850 */ "DominatorTree" "\0"
  /*  2864 */ "DragEvent" "\0"
  /*  2874 */ "DynamicsCompressorNode" "\0"
  /*  2897 */ "EXT_blend_minmax" "\0"
  /*  2914 */ "EXT_color_buffer_float" "\0"
  /*  2937 */ "EXT_color_buffer_half_float" "\0"
  /*  2965 */ "EXT_depth_clamp" "\0"
  /*  2981 */ "EXT_disjoint_timer_query" "\0"
  /*  3006 */ "EXT_float_blend" "\0"
  /*  3022 */ "EXT_frag_depth" "\0"
  /*  3037 */ "EXT_sRGB" "\0"
  /*  3046 */ "EXT_shader_texture_lod" "\0"
  /*  3069 */ "EXT_texture_compression_bptc" "\0"
  /*  3098 */ "EXT_texture_compression_rgtc" "\0"
  /*  3127 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3158 */ "EXT_texture_norm16" "\0"
  /*  3177 */ "Element" "\0"
  /*  3185 */ "ElementInternals" "\0"
  /*  3202 */ "EncodedAudioChunk" "\0"
  /*  3220 */ "EncodedVideoChunk" "\0"
  /*  3238 */ "ErrorEvent" "\0"
  /*  3249 */ "Event" "\0"
  /*  3255 */ "EventCallbackDebuggerNotification" "\0"
  /*  3289 */ "EventCounts" "\0"
  /*  3301 */ "EventSource" "\0"
  /*  3313 */ "EventTarget" "\0"
  /*  3325 */ "Exception" "\0"
  /*  3335 */ "ExtendableEvent" "\0"
  /*  3351 */ "ExtendableMessageEvent" "\0"
  /*  3374 */ "ExtensionAlarms" "\0"
  /*  3390 */ "ExtensionBrowser" "\0"
  /*  3407 */ "ExtensionBrowserSettings" "\0"
  /*  3432 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3472 */ "ExtensionDns" "\0"
  /*  3485 */ "ExtensionEventManager" "\0"
  /*  3507 */ "ExtensionMockAPI" "\0"
  /*  3524 */ "ExtensionPort" "\0"
  /*  3538 */ "ExtensionProxy" "\0"
  /*  3553 */ "ExtensionRuntime" "\0"
  /*  3570 */ "ExtensionScripting" "\0"
  /*  3589 */ "ExtensionSetting" "\0"
  /*  3606 */ "ExtensionTest" "\0"
  /*  3620 */ "External" "\0"
  /*  3629 */ "FeaturePolicy" "\0"
  /*  3643 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3676 */ "FetchEvent" "\0"
  /*  3687 */ "FetchObserver" "\0"
  /*  3701 */ "File" "\0"
  /*  3706 */ "FileList" "\0"
  /*  3715 */ "FileReader" "\0"
  /*  3726 */ "FileReaderSync" "\0"
  /*  3741 */ "FileSystem" "\0"
  /*  3752 */ "FileSystemDirectoryEntry" "\0"
  /*  3777 */ "FileSystemDirectoryHandle" "\0"
  /*  3803 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3843 */ "FileSystemDirectoryIterator" "\0"
  /*  3871 */ "FileSystemDirectoryReader" "\0"
  /*  3897 */ "FileSystemEntry" "\0"
  /*  3913 */ "FileSystemFileEntry" "\0"
  /*  3933 */ "FileSystemFileHandle" "\0"
  /*  3954 */ "FileSystemHandle" "\0"
  /*  3971 */ "FileSystemSyncAccessHandle" "\0"
  /*  3998 */ "FileSystemWritableFileStream" "\0"
  /*  4027 */ "Flex" "\0"
  /*  4032 */ "FlexItemValues" "\0"
  /*  4047 */ "FlexLineValues" "\0"
  /*  4062 */ "FluentBundle" "\0"
  /*  4075 */ "FluentBundleAsyncIterator" "\0"
  /*  4101 */ "FluentBundleIterator" "\0"
  /*  4122 */ "FluentPattern" "\0"
  /*  4136 */ "FluentResource" "\0"
  /*  4151 */ "FocusEvent" "\0"
  /*  4162 */ "FontFace" "\0"
  /*  4171 */ "FontFaceSet" "\0"
  /*  4183 */ "FontFaceSetIterator" "\0"
  /*  4203 */ "FontFaceSetLoadEvent" "\0"
  /*  4224 */ "FormData" "\0"
  /*  4233 */ "FormData Iterator" "\0"
  /*  4251 */ "FormDataEvent" "\0"
  /*  4265 */ "FragmentDirective" "\0"
  /*  4283 */ "FrameCrashedEvent" "\0"
  /*  4301 */ "FrameLoader" "\0"
  /*  4313 */ "GPU" "\0"
  /*  4317 */ "GPUAdapter" "\0"
  /*  4328 */ "GPUAdapterInfo" "\0"
  /*  4343 */ "GPUBindGroup" "\0"
  /*  4356 */ "GPUBindGroupLayout" "\0"
  /*  4375 */ "GPUBuffer" "\0"
  /*  4385 */ "GPUBufferUsage" "\0"
  /*  4400 */ "GPUCanvasContext" "\0"
  /*  4417 */ "GPUColorWrite" "\0"
  /*  4431 */ "GPUCommandBuffer" "\0"
  /*  4448 */ "GPUCommandEncoder" "\0"
  /*  4466 */ "GPUCompilationInfo" "\0"
  /*  4485 */ "GPUCompilationMessage" "\0"
  /*  4507 */ "GPUComputePassEncoder" "\0"
  /*  4529 */ "GPUComputePipeline" "\0"
  /*  4548 */ "GPUDevice" "\0"
  /*  4558 */ "GPUDeviceLostInfo" "\0"
  /*  4576 */ "GPUError" "\0"
  /*  4585 */ "GPUInternalError" "\0"
  /*  4602 */ "GPUMapMode" "\0"
  /*  4613 */ "GPUOutOfMemoryError" "\0"
  /*  4633 */ "GPUPipelineLayout" "\0"
  /*  4651 */ "GPUQuerySet" "\0"
  /*  4663 */ "GPUQueue" "\0"
  /*  4672 */ "GPURenderBundle" "\0"
  /*  4688 */ "GPURenderBundleEncoder" "\0"
  /*  4711 */ "GPURenderPassEncoder" "\0"
  /*  4732 */ "GPURenderPipeline" "\0"
  /*  4750 */ "GPUSampler" "\0"
  /*  4761 */ "GPUShaderModule" "\0"
  /*  4777 */ "GPUShaderStage" "\0"
  /*  4792 */ "GPUSupportedFeatures" "\0"
  /*  4813 */ "GPUSupportedLimits" "\0"
  /*  4832 */ "GPUTexture" "\0"
  /*  4843 */ "GPUTextureUsage" "\0"
  /*  4859 */ "GPUTextureView" "\0"
  /*  4874 */ "GPUUncapturedErrorEvent" "\0"
  /*  4898 */ "GPUValidationError" "\0"
  /*  4917 */ "GainNode" "\0"
  /*  4926 */ "Gamepad" "\0"
  /*  4934 */ "GamepadAxisMoveEvent" "\0"
  /*  4955 */ "GamepadButton" "\0"
  /*  4969 */ "GamepadButtonEvent" "\0"
  /*  4988 */ "GamepadEvent" "\0"
  /*  5001 */ "GamepadHapticActuator" "\0"
  /*  5023 */ "GamepadLightIndicator" "\0"
  /*  5045 */ "GamepadPose" "\0"
  /*  5057 */ "GamepadServiceTest" "\0"
  /*  5076 */ "GamepadTouch" "\0"
  /*  5089 */ "Geolocation" "\0"
  /*  5101 */ "GeolocationCoordinates" "\0"
  /*  5124 */ "GeolocationPosition" "\0"
  /*  5144 */ "GeolocationPositionError" "\0"
  /*  5169 */ "GetUserMediaRequest" "\0"
  /*  5189 */ "GleanBoolean" "\0"
  /*  5202 */ "GleanCategory" "\0"
  /*  5216 */ "GleanCounter" "\0"
  /*  5229 */ "GleanCustomDistribution" "\0"
  /*  5253 */ "GleanDatetime" "\0"
  /*  5267 */ "GleanDenominator" "\0"
  /*  5284 */ "GleanEvent" "\0"
  /*  5295 */ "GleanImpl" "\0"
  /*  5305 */ "GleanLabeled" "\0"
  /*  5318 */ "GleanMemoryDistribution" "\0"
  /*  5342 */ "GleanMetric" "\0"
  /*  5354 */ "GleanNumerator" "\0"
  /*  5369 */ "GleanObject" "\0"
  /*  5381 */ "GleanPingsImpl" "\0"
  /*  5396 */ "GleanQuantity" "\0"
  /*  5410 */ "GleanRate" "\0"
  /*  5420 */ "GleanString" "\0"
  /*  5432 */ "GleanStringList" "\0"
  /*  5448 */ "GleanText" "\0"
  /*  5458 */ "GleanTimespan" "\0"
  /*  5472 */ "GleanTimingDistribution" "\0"
  /*  5496 */ "GleanUrl" "\0"
  /*  5505 */ "GleanUuid" "\0"
  /*  5515 */ "Grid" "\0"
  /*  5520 */ "GridArea" "\0"
  /*  5529 */ "GridDimension" "\0"
  /*  5543 */ "GridLine" "\0"
  /*  5552 */ "GridLines" "\0"
  /*  5562 */ "GridTrack" "\0"
  /*  5572 */ "GridTracks" "\0"
  /*  5583 */ "HTMLAllCollection" "\0"
  /*  5601 */ "HTMLAnchorElement" "\0"
  /*  5619 */ "HTMLAreaElement" "\0"
  /*  5635 */ "HTMLAudioElement" "\0"
  /*  5652 */ "HTMLBRElement" "\0"
  /*  5666 */ "HTMLBaseElement" "\0"
  /*  5682 */ "HTMLBodyElement" "\0"
  /*  5698 */ "HTMLButtonElement" "\0"
  /*  5716 */ "HTMLCanvasElement" "\0"
  /*  5734 */ "HTMLCollection" "\0"
  /*  5749 */ "HTMLDListElement" "\0"
  /*  5766 */ "HTMLDataElement" "\0"
  /*  5782 */ "HTMLDataListElement" "\0"
  /*  5802 */ "HTMLDetailsElement" "\0"
  /*  5821 */ "HTMLDialogElement" "\0"
  /*  5839 */ "HTMLDirectoryElement" "\0"
  /*  5860 */ "HTMLDivElement" "\0"
  /*  5875 */ "HTMLDocument" "\0"
  /*  5888 */ "HTMLElement" "\0"
  /*  5900 */ "HTMLEmbedElement" "\0"
  /*  5917 */ "HTMLFieldSetElement" "\0"
  /*  5937 */ "HTMLFontElement" "\0"
  /*  5953 */ "HTMLFormControlsCollection" "\0"
  /*  5980 */ "HTMLFormElement" "\0"
  /*  5996 */ "HTMLFrameElement" "\0"
  /*  6013 */ "HTMLFrameSetElement" "\0"
  /*  6033 */ "HTMLHRElement" "\0"
  /*  6047 */ "HTMLHeadElement" "\0"
  /*  6063 */ "HTMLHeadingElement" "\0"
  /*  6082 */ "HTMLHtmlElement" "\0"
  /*  6098 */ "HTMLIFrameElement" "\0"
  /*  6116 */ "HTMLImageElement" "\0"
  /*  6133 */ "HTMLInputElement" "\0"
  /*  6150 */ "HTMLLIElement" "\0"
  /*  6164 */ "HTMLLabelElement" "\0"
  /*  6181 */ "HTMLLegendElement" "\0"
  /*  6199 */ "HTMLLinkElement" "\0"
  /*  6215 */ "HTMLMapElement" "\0"
  /*  6230 */ "HTMLMarqueeElement" "\0"
  /*  6249 */ "HTMLMediaElement" "\0"
  /*  6266 */ "HTMLMenuElement" "\0"
  /*  6282 */ "HTMLMetaElement" "\0"
  /*  6298 */ "HTMLMeterElement" "\0"
  /*  6315 */ "HTMLModElement" "\0"
  /*  6330 */ "HTMLOListElement" "\0"
  /*  6347 */ "HTMLObjectElement" "\0"
  /*  6365 */ "HTMLOptGroupElement" "\0"
  /*  6385 */ "HTMLOptionElement" "\0"
  /*  6403 */ "HTMLOptionsCollection" "\0"
  /*  6425 */ "HTMLOutputElement" "\0"
  /*  6443 */ "HTMLParagraphElement" "\0"
  /*  6464 */ "HTMLParamElement" "\0"
  /*  6481 */ "HTMLPictureElement" "\0"
  /*  6500 */ "HTMLPreElement" "\0"
  /*  6515 */ "HTMLProgressElement" "\0"
  /*  6535 */ "HTMLQuoteElement" "\0"
  /*  6552 */ "HTMLScriptElement" "\0"
  /*  6570 */ "HTMLSelectElement" "\0"
  /*  6588 */ "HTMLSlotElement" "\0"
  /*  6604 */ "HTMLSourceElement" "\0"
  /*  6622 */ "HTMLSpanElement" "\0"
  /*  6638 */ "HTMLStyleElement" "\0"
  /*  6655 */ "HTMLTableCaptionElement" "\0"
  /*  6679 */ "HTMLTableCellElement" "\0"
  /*  6700 */ "HTMLTableColElement" "\0"
  /*  6720 */ "HTMLTableElement" "\0"
  /*  6737 */ "HTMLTableRowElement" "\0"
  /*  6757 */ "HTMLTableSectionElement" "\0"
  /*  6781 */ "HTMLTemplateElement" "\0"
  /*  6801 */ "HTMLTextAreaElement" "\0"
  /*  6821 */ "HTMLTimeElement" "\0"
  /*  6837 */ "HTMLTitleElement" "\0"
  /*  6854 */ "HTMLTrackElement" "\0"
  /*  6871 */ "HTMLUListElement" "\0"
  /*  6888 */ "HTMLUnknownElement" "\0"
  /*  6907 */ "HTMLVideoElement" "\0"
  /*  6924 */ "HashChangeEvent" "\0"
  /*  6940 */ "Headers" "\0"
  /*  6948 */ "Headers Iterator" "\0"
  /*  6965 */ "HeapSnapshot" "\0"
  /*  6978 */ "Highlight" "\0"
  /*  6988 */ "HighlightRegistry" "\0"
  /*  7006 */ "History" "\0"
  /*  7014 */ "IDBCursor" "\0"
  /*  7024 */ "IDBCursorWithValue" "\0"
  /*  7043 */ "IDBDatabase" "\0"
  /*  7055 */ "IDBFactory" "\0"
  /*  7066 */ "IDBIndex" "\0"
  /*  7075 */ "IDBKeyRange" "\0"
  /*  7087 */ "IDBObjectStore" "\0"
  /*  7102 */ "IDBOpenDBRequest" "\0"
  /*  7119 */ "IDBRequest" "\0"
  /*  7130 */ "IDBTransaction" "\0"
  /*  7145 */ "IDBVersionChangeEvent" "\0"
  /*  7167 */ "IIRFilterNode" "\0"
  /*  7181 */ "IOUtils" "\0"
  /*  7189 */ "IdentityCredential" "\0"
  /*  7208 */ "IdleDeadline" "\0"
  /*  7221 */ "Image" "\0"
  /*  7227 */ "ImageBitmap" "\0"
  /*  7239 */ "ImageBitmapRenderingContext" "\0"
  /*  7267 */ "ImageCapture" "\0"
  /*  7280 */ "ImageCaptureError" "\0"
  /*  7298 */ "ImageCaptureErrorEvent" "\0"
  /*  7321 */ "ImageData" "\0"
  /*  7331 */ "ImageDecoder" "\0"
  /*  7344 */ "ImageDocument" "\0"
  /*  7358 */ "ImageTrack" "\0"
  /*  7369 */ "ImageTrackList" "\0"
  /*  7384 */ "InputEvent" "\0"
  /*  7395 */ "InspectorCSSParser" "\0"
  /*  7414 */ "InspectorFontFace" "\0"
  /*  7432 */ "InspectorUtils" "\0"
  /*  7447 */ "InstallTriggerImpl" "\0"
  /*  7466 */ "IntersectionObserver" "\0"
  /*  7487 */ "IntersectionObserverEntry" "\0"
  /*  7513 */ "IntlUtils" "\0"
  /*  7523 */ "InvokeEvent" "\0"
  /*  7535 */ "JSProcessActorChild" "\0"
  /*  7555 */ "JSProcessActorParent" "\0"
  /*  7576 */ "JSWindowActorChild" "\0"
  /*  7595 */ "JSWindowActorParent" "\0"
  /*  7615 */ "KeyEvent" "\0"
  /*  7624 */ "KeyboardEvent" "\0"
  /*  7638 */ "KeyframeEffect" "\0"
  /*  7653 */ "L10nFileSource" "\0"
  /*  7668 */ "L10nOverlays" "\0"
  /*  7681 */ "L10nRegistry" "\0"
  /*  7694 */ "LargestContentfulPaint" "\0"
  /*  7717 */ "LegacyMozTCPSocket" "\0"
  /*  7736 */ "Localization" "\0"
  /*  7749 */ "Location" "\0"
  /*  7758 */ "Lock" "\0"
  /*  7763 */ "LockManager" "\0"
  /*  7775 */ "MIDIAccess" "\0"
  /*  7786 */ "MIDIConnectionEvent" "\0"
  /*  7806 */ "MIDIInput" "\0"
  /*  7816 */ "MIDIInputMap" "\0"
  /*  7829 */ "MIDIMessageEvent" "\0"
  /*  7846 */ "MIDIOutput" "\0"
  /*  7857 */ "MIDIOutputMap" "\0"
  /*  7871 */ "MIDIPort" "\0"
  /*  7880 */ "MOZ_debug" "\0"
  /*  7890 */ "MatchGlob" "\0"
  /*  7900 */ "MatchPattern" "\0"
  /*  7913 */ "MatchPatternSet" "\0"
  /*  7929 */ "MathMLElement" "\0"
  /*  7943 */ "MediaCapabilities" "\0"
  /*  7961 */ "MediaControlService" "\0"
  /*  7981 */ "MediaController" "\0"
  /*  7997 */ "MediaDeviceInfo" "\0"
  /*  8013 */ "MediaDevices" "\0"
  /*  8026 */ "MediaElementAudioSourceNode" "\0"
  /*  8054 */ "MediaEncryptedEvent" "\0"
  /*  8074 */ "MediaError" "\0"
  /*  8085 */ "MediaKeyError" "\0"
  /*  8099 */ "MediaKeyMessageEvent" "\0"
  /*  8120 */ "MediaKeySession" "\0"
  /*  8136 */ "MediaKeyStatusMap" "\0"
  /*  8154 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8181 */ "MediaKeySystemAccess" "\0"
  /*  8202 */ "MediaKeys" "\0"
  /*  8212 */ "MediaList" "\0"
  /*  8222 */ "MediaMetadata" "\0"
  /*  8236 */ "MediaQueryList" "\0"
  /*  8251 */ "MediaQueryListEvent" "\0"
  /*  8271 */ "MediaRecorder" "\0"
  /*  8285 */ "MediaRecorderErrorEvent" "\0"
  /*  8309 */ "MediaSession" "\0"
  /*  8322 */ "MediaSource" "\0"
  /*  8334 */ "MediaStream" "\0"
  /*  8346 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8378 */ "MediaStreamAudioSourceNode" "\0"
  /*  8405 */ "MediaStreamError" "\0"
  /*  8422 */ "MediaStreamEvent" "\0"
  /*  8439 */ "MediaStreamTrack" "\0"
  /*  8456 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8488 */ "MediaStreamTrackEvent" "\0"
  /*  8510 */ "MerchantValidationEvent" "\0"
  /*  8534 */ "MessageBroadcaster" "\0"
  /*  8553 */ "MessageChannel" "\0"
  /*  8568 */ "MessageEvent" "\0"
  /*  8581 */ "MessageListenerManager" "\0"
  /*  8604 */ "MessagePort" "\0"
  /*  8616 */ "MessageSender" "\0"
  /*  8630 */ "MimeType" "\0"
  /*  8639 */ "MimeTypeArray" "\0"
  /*  8653 */ "MouseEvent" "\0"
  /*  8664 */ "MouseScrollEvent" "\0"
  /*  8681 */ "MozCanvasPrintState" "\0"
  /*  8701 */ "MozDocumentMatcher" "\0"
  /*  8720 */ "MozDocumentObserver" "\0"
  /*  8740 */ "MozQueryInterface" "\0"
  /*  8758 */ "MozSharedMap" "\0"
  /*  8771 */ "MozSharedMap Iterator" "\0"
  /*  8793 */ "MozSharedMapChangeEvent" "\0"
  /*  8817 */ "MozStorageAsyncStatementParams" "\0"
  /*  8848 */ "MozStorageStatementParams" "\0"
  /*  8874 */ "MozStorageStatementRow" "\0"
  /*  8897 */ "MozWritableSharedMap" "\0"
  /*  8918 */ "MutationEvent" "\0"
  /*  8932 */ "MutationObserver" "\0"
  /*  8949 */ "MutationRecord" "\0"
  /*  8964 */ "NamedNodeMap" "\0"
  /*  8977 */ "NavigateEvent" "\0"
  /*  8991 */ "Navigation" "\0"
  /*  9002 */ "NavigationActivation" "\0"
  /*  9023 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9057 */ "NavigationDestination" "\0"
  /*  9079 */ "NavigationHistoryEntry" "\0"
  /*  9102 */ "NavigationPreloadManager" "\0"
  /*  9127 */ "NavigationTransition" "\0"
  /*  9148 */ "Navigator" "\0"
  /*  9158 */ "NetworkInformation" "\0"
  /*  9177 */ "Node" "\0"
  /*  9182 */ "NodeFilter" "\0"
  /*  9193 */ "NodeIterator" "\0"
  /*  9206 */ "NodeList" "\0"
  /*  9215 */ "Notification" "\0"
  /*  9228 */ "NotificationEvent" "\0"
  /*  9246 */ "NotifyPaintEvent" "\0"
  /*  9263 */ "OES_draw_buffers_indexed" "\0"
  /*  9288 */ "OES_element_index_uint" "\0"
  /*  9311 */ "OES_fbo_render_mipmap" "\0"
  /*  9333 */ "OES_standard_derivatives" "\0"
  /*  9358 */ "OES_texture_float" "\0"
  /*  9376 */ "OES_texture_float_linear" "\0"
  /*  9401 */ "OES_texture_half_float" "\0"
  /*  9424 */ "OES_texture_half_float_linear" "\0"
  /*  9454 */ "OES_vertex_array_object" "\0"
  /*  9478 */ "OVR_multiview2" "\0"
  /*  9493 */ "OfflineAudioCompletionEvent" "\0"
  /*  9521 */ "OfflineAudioContext" "\0"
  /*  9541 */ "OffscreenCanvas" "\0"
  /*  9557 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9591 */ "Option" "\0"
  /*  9598 */ "OscillatorNode" "\0"
  /*  9613 */ "PageTransitionEvent" "\0"
  /*  9633 */ "PaintRequest" "\0"
  /*  9646 */ "PaintRequestList" "\0"
  /*  9663 */ "PaintWorkletGlobalScope" "\0"
  /*  9687 */ "PannerNode" "\0"
  /*  9698 */ "ParentProcessMessageManager" "\0"
  /*  9726 */ "Path2D" "\0"
  /*  9733 */ "PathUtils" "\0"
  /*  9743 */ "PaymentAddress" "\0"
  /*  9758 */ "PaymentMethodChangeEvent" "\0"
  /*  9783 */ "PaymentRequest" "\0"
  /*  9798 */ "PaymentRequestUpdateEvent" "\0"
  /*  9824 */ "PaymentResponse" "\0"
  /*  9840 */ "Performance" "\0"
  /*  9852 */ "PerformanceEntry" "\0"
  /*  9869 */ "PerformanceEntryEvent" "\0"
  /*  9891 */ "PerformanceEventTiming" "\0"
  /*  9914 */ "PerformanceMark" "\0"
  /*  9930 */ "PerformanceMeasure" "\0"
  /*  9949 */ "PerformanceNavigation" "\0"
  /*  9971 */ "PerformanceNavigationTiming" "\0"
  /*  9999 */ "PerformanceObserver" "\0"
  /* 10019 */ "PerformanceObserverEntryList" "\0"
  /* 10048 */ "PerformancePaintTiming" "\0"
  /* 10071 */ "PerformanceResourceTiming" "\0"
  /* 10097 */ "PerformanceServerTiming" "\0"
  /* 10121 */ "PerformanceTiming" "\0"
  /* 10139 */ "PeriodicWave" "\0"
  /* 10152 */ "PermissionStatus" "\0"
  /* 10169 */ "Permissions" "\0"
  /* 10181 */ "PlacesBookmark" "\0"
  /* 10196 */ "PlacesBookmarkAddition" "\0"
  /* 10219 */ "PlacesBookmarkChanged" "\0"
  /* 10241 */ "PlacesBookmarkGuid" "\0"
  /* 10260 */ "PlacesBookmarkKeyword" "\0"
  /* 10282 */ "PlacesBookmarkMoved" "\0"
  /* 10302 */ "PlacesBookmarkRemoved" "\0"
  /* 10324 */ "PlacesBookmarkTags" "\0"
  /* 10343 */ "PlacesBookmarkTime" "\0"
  /* 10362 */ "PlacesBookmarkTitle" "\0"
  /* 10382 */ "PlacesBookmarkUrl" "\0"
  /* 10400 */ "PlacesEvent" "\0"
  /* 10412 */ "PlacesEventCounts" "\0"
  /* 10430 */ "PlacesFavicon" "\0"
  /* 10444 */ "PlacesHistoryCleared" "\0"
  /* 10465 */ "PlacesObservers" "\0"
  /* 10481 */ "PlacesPurgeCaches" "\0"
  /* 10499 */ "PlacesRanking" "\0"
  /* 10513 */ "PlacesVisit" "\0"
  /* 10525 */ "PlacesVisitRemoved" "\0"
  /* 10544 */ "PlacesVisitTitle" "\0"
  /* 10561 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10587 */ "Plugin" "\0"
  /* 10594 */ "PluginArray" "\0"
  /* 10606 */ "PluginCrashedEvent" "\0"
  /* 10625 */ "PointerEvent" "\0"
  /* 10638 */ "PopStateEvent" "\0"
  /* 10652 */ "PopupBlockedEvent" "\0"
  /* 10670 */ "PopupPositionedEvent" "\0"
  /* 10691 */ "PositionStateEvent" "\0"
  /* 10710 */ "PrecompiledScript" "\0"
  /* 10728 */ "PrivateAttribution" "\0"
  /* 10747 */ "ProcessMessageManager" "\0"
  /* 10769 */ "ProcessingInstruction" "\0"
  /* 10791 */ "ProgressEvent" "\0"
  /* 10805 */ "PromiseDebugging" "\0"
  /* 10822 */ "PromiseNativeHandler" "\0"
  /* 10843 */ "PromiseRejectionEvent" "\0"
  /* 10865 */ "PublicKeyCredential" "\0"
  /* 10885 */ "PushEvent" "\0"
  /* 10895 */ "PushManager" "\0"
  /* 10907 */ "PushManagerImpl" "\0"
  /* 10923 */ "PushMessageData" "\0"
  /* 10939 */ "PushSubscription" "\0"
  /* 10956 */ "PushSubscriptionOptions" "\0"
  /* 10980 */ "RadioNodeList" "\0"
  /* 10994 */ "Range" "\0"
  /* 11000 */ "ReadableByteStreamController" "\0"
  /* 11029 */ "ReadableStream" "\0"
  /* 11044 */ "ReadableStream AsyncIterator" "\0"
  /* 11073 */ "ReadableStreamBYOBReader" "\0"
  /* 11098 */ "ReadableStreamBYOBRequest" "\0"
  /* 11124 */ "ReadableStreamDefaultController" "\0"
  /* 11156 */ "ReadableStreamDefaultReader" "\0"
  /* 11184 */ "Report" "\0"
  /* 11191 */ "ReportBody" "\0"
  /* 11202 */ "ReportingObserver" "\0"
  /* 11220 */ "Request" "\0"
  /* 11228 */ "ResizeObserver" "\0"
  /* 11243 */ "ResizeObserverEntry" "\0"
  /* 11263 */ "ResizeObserverSize" "\0"
  /* 11282 */ "Response" "\0"
  /* 11291 */ "SVGAElement" "\0"
  /* 11303 */ "SVGAngle" "\0"
  /* 11312 */ "SVGAnimateElement" "\0"
  /* 11330 */ "SVGAnimateMotionElement" "\0"
  /* 11354 */ "SVGAnimateTransformElement" "\0"
  /* 11381 */ "SVGAnimatedAngle" "\0"
  /* 11398 */ "SVGAnimatedBoolean" "\0"
  /* 11417 */ "SVGAnimatedEnumeration" "\0"
  /* 11440 */ "SVGAnimatedInteger" "\0"
  /* 11459 */ "SVGAnimatedLength" "\0"
  /* 11477 */ "SVGAnimatedLengthList" "\0"
  /* 11499 */ "SVGAnimatedNumber" "\0"
  /* 11517 */ "SVGAnimatedNumberList" "\0"
  /* 11539 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11570 */ "SVGAnimatedRect" "\0"
  /* 11586 */ "SVGAnimatedString" "\0"
  /* 11604 */ "SVGAnimatedTransformList" "\0"
  /* 11629 */ "SVGAnimationElement" "\0"
  /* 11649 */ "SVGCircleElement" "\0"
  /* 11666 */ "SVGClipPathElement" "\0"
  /* 11685 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11721 */ "SVGDefsElement" "\0"
  /* 11736 */ "SVGDescElement" "\0"
  /* 11751 */ "SVGElement" "\0"
  /* 11762 */ "SVGEllipseElement" "\0"
  /* 11780 */ "SVGFEBlendElement" "\0"
  /* 11798 */ "SVGFEColorMatrixElement" "\0"
  /* 11822 */ "SVGFEComponentTransferElement" "\0"
  /* 11852 */ "SVGFECompositeElement" "\0"
  /* 11874 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11901 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11929 */ "SVGFEDisplacementMapElement" "\0"
  /* 11957 */ "SVGFEDistantLightElement" "\0"
  /* 11982 */ "SVGFEDropShadowElement" "\0"
  /* 12005 */ "SVGFEFloodElement" "\0"
  /* 12023 */ "SVGFEFuncAElement" "\0"
  /* 12041 */ "SVGFEFuncBElement" "\0"
  /* 12059 */ "SVGFEFuncGElement" "\0"
  /* 12077 */ "SVGFEFuncRElement" "\0"
  /* 12095 */ "SVGFEGaussianBlurElement" "\0"
  /* 12120 */ "SVGFEImageElement" "\0"
  /* 12138 */ "SVGFEMergeElement" "\0"
  /* 12156 */ "SVGFEMergeNodeElement" "\0"
  /* 12178 */ "SVGFEMorphologyElement" "\0"
  /* 12201 */ "SVGFEOffsetElement" "\0"
  /* 12220 */ "SVGFEPointLightElement" "\0"
  /* 12243 */ "SVGFESpecularLightingElement" "\0"
  /* 12272 */ "SVGFESpotLightElement" "\0"
  /* 12294 */ "SVGFETileElement" "\0"
  /* 12311 */ "SVGFETurbulenceElement" "\0"
  /* 12334 */ "SVGFilterElement" "\0"
  /* 12351 */ "SVGForeignObjectElement" "\0"
  /* 12375 */ "SVGGElement" "\0"
  /* 12387 */ "SVGGeometryElement" "\0"
  /* 12406 */ "SVGGradientElement" "\0"
  /* 12425 */ "SVGGraphicsElement" "\0"
  /* 12444 */ "SVGImageElement" "\0"
  /* 12460 */ "SVGLength" "\0"
  /* 12470 */ "SVGLengthList" "\0"
  /* 12484 */ "SVGLineElement" "\0"
  /* 12499 */ "SVGLinearGradientElement" "\0"
  /* 12524 */ "SVGMPathElement" "\0"
  /* 12540 */ "SVGMarkerElement" "\0"
  /* 12557 */ "SVGMaskElement" "\0"
  /* 12572 */ "SVGMatrix" "\0"
  /* 12582 */ "SVGMetadataElement" "\0"
  /* 12601 */ "SVGNumber" "\0"
  /* 12611 */ "SVGNumberList" "\0"
  /* 12625 */ "SVGPathElement" "\0"
  /* 12640 */ "SVGPatternElement" "\0"
  /* 12658 */ "SVGPoint" "\0"
  /* 12667 */ "SVGPointList" "\0"
  /* 12680 */ "SVGPolygonElement" "\0"
  /* 12698 */ "SVGPolylineElement" "\0"
  /* 12717 */ "SVGPreserveAspectRatio" "\0"
  /* 12740 */ "SVGRadialGradientElement" "\0"
  /* 12765 */ "SVGRect" "\0"
  /* 12773 */ "SVGRectElement" "\0"
  /* 12788 */ "SVGSVGElement" "\0"
  /* 12802 */ "SVGScriptElement" "\0"
  /* 12819 */ "SVGSetElement" "\0"
  /* 12833 */ "SVGStopElement" "\0"
  /* 12848 */ "SVGStringList" "\0"
  /* 12862 */ "SVGStyleElement" "\0"
  /* 12878 */ "SVGSwitchElement" "\0"
  /* 12895 */ "SVGSymbolElement" "\0"
  /* 12912 */ "SVGTSpanElement" "\0"
  /* 12928 */ "SVGTextContentElement" "\0"
  /* 12950 */ "SVGTextElement" "\0"
  /* 12965 */ "SVGTextPathElement" "\0"
  /* 12984 */ "SVGTextPositioningElement" "\0"
  /* 13010 */ "SVGTitleElement" "\0"
  /* 13026 */ "SVGTransform" "\0"
  /* 13039 */ "SVGTransformList" "\0"
  /* 13056 */ "SVGUnitTypes" "\0"
  /* 13069 */ "SVGUseElement" "\0"
  /* 13083 */ "SVGViewElement" "\0"
  /* 13098 */ "Sanitizer" "\0"
  /* 13108 */ "Scheduler" "\0"
  /* 13118 */ "Screen" "\0"
  /* 13125 */ "ScreenLuminance" "\0"
  /* 13141 */ "ScreenOrientation" "\0"
  /* 13159 */ "ScriptProcessorNode" "\0"
  /* 13179 */ "ScrollAreaEvent" "\0"
  /* 13195 */ "ScrollViewChangeEvent" "\0"
  /* 13217 */ "SecurityPolicyViolationEvent" "\0"
  /* 13246 */ "Selection" "\0"
  /* 13256 */ "ServiceWorker" "\0"
  /* 13270 */ "ServiceWorkerContainer" "\0"
  /* 13293 */ "ServiceWorkerGlobalScope" "\0"
  /* 13318 */ "ServiceWorkerRegistration" "\0"
  /* 13344 */ "SessionStoreFormData" "\0"
  /* 13365 */ "SessionStoreScrollData" "\0"
  /* 13388 */ "SessionStoreUtils" "\0"
  /* 13406 */ "ShadowRealmGlobalScope" "\0"
  /* 13429 */ "ShadowRoot" "\0"
  /* 13440 */ "SharedWorker" "\0"
  /* 13453 */ "SharedWorkerGlobalScope" "\0"
  /* 13477 */ "SimpleGestureEvent" "\0"
  /* 13496 */ "SourceBuffer" "\0"
  /* 13509 */ "SourceBufferList" "\0"
  /* 13526 */ "SpeechGrammar" "\0"
  /* 13540 */ "SpeechGrammarList" "\0"
  /* 13558 */ "SpeechRecognition" "\0"
  /* 13576 */ "SpeechRecognitionAlternative" "\0"
  /* 13605 */ "SpeechRecognitionError" "\0"
  /* 13628 */ "SpeechRecognitionEvent" "\0"
  /* 13651 */ "SpeechRecognitionResult" "\0"
  /* 13675 */ "SpeechRecognitionResultList" "\0"
  /* 13703 */ "SpeechSynthesis" "\0"
  /* 13719 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13745 */ "SpeechSynthesisEvent" "\0"
  /* 13766 */ "SpeechSynthesisUtterance" "\0"
  /* 13791 */ "SpeechSynthesisVoice" "\0"
  /* 13812 */ "StaticRange" "\0"
  /* 13824 */ "StereoPannerNode" "\0"
  /* 13841 */ "Storage" "\0"
  /* 13849 */ "StorageEvent" "\0"
  /* 13862 */ "StorageManager" "\0"
  /* 13877 */ "StreamFilter" "\0"
  /* 13890 */ "StreamFilterDataEvent" "\0"
  /* 13912 */ "StructuredCloneHolder" "\0"
  /* 13934 */ "StructuredCloneTester" "\0"
  /* 13956 */ "StyleSheet" "\0"
  /* 13967 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14004 */ "StyleSheetList" "\0"
  /* 14019 */ "StyleSheetRemovedEvent" "\0"
  /* 14042 */ "SubmitEvent" "\0"
  /* 14054 */ "SubtleCrypto" "\0"
  /* 14067 */ "SyncMessageSender" "\0"
  /* 14085 */ "SyncReadFile" "\0"
  /* 14098 */ "TCPServerSocket" "\0"
  /* 14114 */ "TCPServerSocketEvent" "\0"
  /* 14135 */ "TCPSocket" "\0"
  /* 14145 */ "TCPSocketErrorEvent" "\0"
  /* 14165 */ "TCPSocketEvent" "\0"
  /* 14180 */ "TaskController" "\0"
  /* 14195 */ "TaskPriorityChangeEvent" "\0"
  /* 14219 */ "TaskSignal" "\0"
  /* 14230 */ "TelemetryStopwatch" "\0"
  /* 14249 */ "TestUtils" "\0"
  /* 14259 */ "TestingDeprecatedInterface" "\0"
  /* 14286 */ "Text" "\0"
  /* 14291 */ "TextClause" "\0"
  /* 14302 */ "TextDecoder" "\0"
  /* 14314 */ "TextDecoderStream" "\0"
  /* 14332 */ "TextEncoder" "\0"
  /* 14344 */ "TextEncoderStream" "\0"
  /* 14362 */ "TextEvent" "\0"
  /* 14372 */ "TextMetrics" "\0"
  /* 14384 */ "TextTrack" "\0"
  /* 14394 */ "TextTrackCue" "\0"
  /* 14407 */ "TextTrackCueList" "\0"
  /* 14424 */ "TextTrackList" "\0"
  /* 14438 */ "TimeEvent" "\0"
  /* 14448 */ "TimeRanges" "\0"
  /* 14459 */ "ToggleEvent" "\0"
  /* 14471 */ "Touch" "\0"
  /* 14477 */ "TouchEvent" "\0"
  /* 14488 */ "TouchList" "\0"
  /* 14498 */ "TrackEvent" "\0"
  /* 14509 */ "TransformStream" "\0"
  /* 14525 */ "TransformStreamDefaultController" "\0"
  /* 14558 */ "TransitionEvent" "\0"
  /* 14574 */ "TreeColumn" "\0"
  /* 14585 */ "TreeColumns" "\0"
  /* 14597 */ "TreeContentView" "\0"
  /* 14613 */ "TreeWalker" "\0"
  /* 14624 */ "TrustedHTML" "\0"
  /* 14636 */ "TrustedScript" "\0"
  /* 14650 */ "TrustedScriptURL" "\0"
  /* 14667 */ "TrustedTypePolicy" "\0"
  /* 14685 */ "TrustedTypePolicyFactory" "\0"
  /* 14710 */ "UDPMessageEvent" "\0"
  /* 14726 */ "UDPSocket" "\0"
  /* 14736 */ "UIEvent" "\0"
  /* 14744 */ "URL" "\0"
  /* 14748 */ "URLSearchParams" "\0"
  /* 14764 */ "URLSearchParams Iterator" "\0"
  /* 14789 */ "UniFFIPointer" "\0"
  /* 14803 */ "UniFFIScaffolding" "\0"
  /* 14821 */ "UserActivation" "\0"
  /* 14836 */ "UserInteraction" "\0"
  /* 14852 */ "UserProximityEvent" "\0"
  /* 14871 */ "VRDisplay" "\0"
  /* 14881 */ "VRDisplayCapabilities" "\0"
  /* 14903 */ "VRDisplayEvent" "\0"
  /* 14918 */ "VREyeParameters" "\0"
  /* 14934 */ "VRFieldOfView" "\0"
  /* 14948 */ "VRFrameData" "\0"
  /* 14960 */ "VRMockController" "\0"
  /* 14977 */ "VRMockDisplay" "\0"
  /* 14991 */ "VRPose" "\0"
  /* 14998 */ "VRServiceTest" "\0"
  /* 15012 */ "VRStageParameters" "\0"
  /* 15030 */ "VTTCue" "\0"
  /* 15037 */ "VTTRegion" "\0"
  /* 15047 */ "ValidityState" "\0"
  /* 15061 */ "VideoColorSpace" "\0"
  /* 15077 */ "VideoDecoder" "\0"
  /* 15090 */ "VideoEncoder" "\0"
  /* 15103 */ "VideoFrame" "\0"
  /* 15114 */ "VideoPlaybackQuality" "\0"
  /* 15135 */ "VideoTrack" "\0"
  /* 15146 */ "VideoTrackList" "\0"
  /* 15161 */ "ViewTransition" "\0"
  /* 15176 */ "VisualViewport" "\0"
  /* 15191 */ "WEBGL_color_buffer_float" "\0"
  /* 15216 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15246 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15275 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15305 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15336 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15366 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15401 */ "WEBGL_debug_renderer_info" "\0"
  /* 15427 */ "WEBGL_debug_shaders" "\0"
  /* 15447 */ "WEBGL_depth_texture" "\0"
  /* 15467 */ "WEBGL_draw_buffers" "\0"
  /* 15486 */ "WEBGL_explicit_present" "\0"
  /* 15509 */ "WEBGL_lose_context" "\0"
  /* 15528 */ "WEBGL_provoking_vertex" "\0"
  /* 15551 */ "WakeLock" "\0"
  /* 15560 */ "WakeLockSentinel" "\0"
  /* 15577 */ "WaveShaperNode" "\0"
  /* 15592 */ "WebExtensionContentScript" "\0"
  /* 15618 */ "WebExtensionPolicy" "\0"
  /* 15637 */ "WebGL2RenderingContext" "\0"
  /* 15660 */ "WebGLActiveInfo" "\0"
  /* 15676 */ "WebGLBuffer" "\0"
  /* 15688 */ "WebGLContextEvent" "\0"
  /* 15706 */ "WebGLFramebuffer" "\0"
  /* 15723 */ "WebGLProgram" "\0"
  /* 15736 */ "WebGLQuery" "\0"
  /* 15747 */ "WebGLRenderbuffer" "\0"
  /* 15765 */ "WebGLRenderingContext" "\0"
  /* 15787 */ "WebGLSampler" "\0"
  /* 15800 */ "WebGLShader" "\0"
  /* 15812 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15839 */ "WebGLSync" "\0"
  /* 15849 */ "WebGLTexture" "\0"
  /* 15862 */ "WebGLTransformFeedback" "\0"
  /* 15885 */ "WebGLUniformLocation" "\0"
  /* 15906 */ "WebGLVertexArrayObject" "\0"
  /* 15929 */ "WebKitCSSMatrix" "\0"
  /* 15945 */ "WebSocket" "\0"
  /* 15955 */ "WebTransport" "\0"
  /* 15968 */ "WebTransportBidirectionalStream" "\0"
  /* 16000 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16033 */ "WebTransportError" "\0"
  /* 16051 */ "WebTransportReceiveStream" "\0"
  /* 16077 */ "WebTransportSendStream" "\0"
  /* 16100 */ "WheelEvent" "\0"
  /* 16111 */ "Window" "\0"
  /* 16118 */ "WindowClient" "\0"
  /* 16131 */ "WindowContext" "\0"
  /* 16145 */ "WindowGlobalChild" "\0"
  /* 16163 */ "WindowGlobalParent" "\0"
  /* 16182 */ "WindowRoot" "\0"
  /* 16193 */ "Worker" "\0"
  /* 16200 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16226 */ "WorkerGlobalScope" "\0"
  /* 16244 */ "WorkerLocation" "\0"
  /* 16259 */ "WorkerNavigator" "\0"
  /* 16275 */ "WorkerTestUtils" "\0"
  /* 16291 */ "Worklet" "\0"
  /* 16299 */ "WorkletGlobalScope" "\0"
  /* 16318 */ "WritableStream" "\0"
  /* 16333 */ "WritableStreamDefaultController" "\0"
  /* 16365 */ "WritableStreamDefaultWriter" "\0"
  /* 16393 */ "XMLDocument" "\0"
  /* 16405 */ "XMLHttpRequest" "\0"
  /* 16420 */ "XMLHttpRequestEventTarget" "\0"
  /* 16446 */ "XMLHttpRequestUpload" "\0"
  /* 16467 */ "XMLSerializer" "\0"
  /* 16481 */ "XPathEvaluator" "\0"
  /* 16496 */ "XPathExpression" "\0"
  /* 16512 */ "XPathResult" "\0"
  /* 16524 */ "XRBoundedReferenceSpace" "\0"
  /* 16548 */ "XRFrame" "\0"
  /* 16556 */ "XRInputSource" "\0"
  /* 16570 */ "XRInputSourceArray" "\0"
  /* 16589 */ "XRInputSourceEvent" "\0"
  /* 16608 */ "XRInputSourcesChangeEvent" "\0"
  /* 16634 */ "XRPose" "\0"
  /* 16641 */ "XRReferenceSpace" "\0"
  /* 16658 */ "XRReferenceSpaceEvent" "\0"
  /* 16680 */ "XRRenderState" "\0"
  /* 16694 */ "XRRigidTransform" "\0"
  /* 16711 */ "XRSession" "\0"
  /* 16721 */ "XRSessionEvent" "\0"
  /* 16736 */ "XRSpace" "\0"
  /* 16744 */ "XRSystem" "\0"
  /* 16753 */ "XRView" "\0"
  /* 16760 */ "XRViewerPose" "\0"
  /* 16773 */ "XRViewport" "\0"
  /* 16784 */ "XRWebGLLayer" "\0"
  /* 16797 */ "XSLTProcessor" "\0"
  /* 16811 */ "XULCommandEvent" "\0"
  /* 16827 */ "XULElement" "\0"
  /* 16838 */ "XULFrameElement" "\0"
  /* 16854 */ "XULMenuElement" "\0"
  /* 16869 */ "XULPopupElement" "\0"
  /* 16885 */ "XULResizerElement" "\0"
  /* 16903 */ "XULTextElement" "\0"
  /* 16918 */ "XULTreeElement" "\0"
  /* 16933 */ "console" "\0"
  /* 16941 */ "webkitSpeechGrammar" "\0"
  /* 16961 */ "webkitSpeechGrammarList" "\0"
  /* 16985 */ "webkitSpeechRecognition" "\0"
  /* 17009 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

